Package: org.grails.plugins.domain.support

## [Groovy] Class ValidatorRegistryFactoryBean

- org.grails.plugins.domain.support.ValidatorRegistryFactoryBean

- All Implemented Interfaces and Traits:
    org.springframework.beans.factory.FactoryBean<org.grails.datastore.mapping.validation.ValidatorRegistry>

      @groovy.transform.CompileStatic
      class ValidatorRegistryFactoryBean
      extends java.lang.Object
      implements org.springframework.beans.factory.FactoryBean<org.grails.datastore.mapping.validation.ValidatorRegistry>

  A factory bean for the validator registry

  Authors:
    Graeme Rocher
  Since:
    3.3

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private org.grails.datastore.mapping.model.MappingContext` | `mappingContext` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `org.grails.datastore.mapping.model.MappingContext` | `mappingContext`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ValidatorRegistryFactoryBean ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `org.grails.datastore.mapping.validation.ValidatorRegistry` | `getObject()`
    `` | `java.lang.Class<?>` | `getObjectType()`
    `` | `boolean` | `isSingleton()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### @org.springframework.beans.factory.annotation.Autowired @org.springframework.beans.factory.annotation.Qualifier(value: grailsDomainClassMappingContext) private org.grails.datastore.mapping.model.MappingContext mappingContext

  - ### Property Detail

    - #### @org.springframework.beans.factory.annotation.Autowired @org.springframework.beans.factory.annotation.Qualifier(value: grailsDomainClassMappingContext) org.grails.datastore.mapping.model.MappingContext mappingContext

  - ### Constructor Detail

    - #### ValidatorRegistryFactoryBean()

  - ### Method Detail

    - #### @java.lang.Override org.grails.datastore.mapping.validation.ValidatorRegistry getObject()

    - #### @java.lang.Override java.lang.Class<?> getObjectType()

    - #### @java.lang.Override boolean isSingleton()